Create a Magic Link
curl --request POST \
--url https://api.hotglue.com/{env_id}/magicLink \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"tenant": "<string>",
"flow": "<string>",
"entityId": "<string>",
"type": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"options": {}
}
'import requests
url = "https://api.hotglue.com/{env_id}/magicLink"
payload = {
"tenant": "<string>",
"flow": "<string>",
"entityId": "<string>",
"type": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"options": {}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tenant: '<string>',
flow: '<string>',
entityId: '<string>',
type: '<string>',
expiresAt: '2023-11-07T05:31:56Z',
options: {}
})
};
fetch('https://api.hotglue.com/{env_id}/magicLink', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}Manage Tenants
Create a Magic Link
Create a Magic Link to allow tenants to link an integration.
POST
/
{env_id}
/
magicLink
Create a Magic Link
Authorizations
Path Parameters
ID of environment
Body
application/json
⌘I